created: 1755100548417
modified: 1755100548417
description: Mappings for Scout driver for Circutor CBS_400B
id: e272128c-6173-4c63-b9fa-86d93cc19b30
name: CBS_400B_Scout
manufacturer: Circutor
model: CBS_400B
deviceResources:
- description: WGB1_ILEAK_TOTAL
  name: 0.I_LK
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.001'
      reviewScale: true
    units:
      type: String
      defaultValue: A
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 4016
    ValueType: UINT16
- description: WGB1_PREALARM_ILEAK
  name: EVENT_PRE_LEAK_CURRENT.0
  properties:
    value:
      type: Bool
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewScale: false
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: DiscreteInput
    StartingAddress: 1
    ValueType: BOOL
- description: WGB2_ILEAK_TOTAL
  name: 1.I_LK
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.001'
      reviewScale: true
    units:
      type: String
      defaultValue: A
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 4216
    ValueType: UINT16
- description: WGB2_PREALARM_ILEAK
  name: EVENT_PRE_LEAK_CURRENT.1
  properties:
    value:
      type: Bool
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewScale: false
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: DiscreteInput
    StartingAddress: 41
    ValueType: BOOL
- description: WGB3_ILEAK_TOTAL
  name: 2.I_LK
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.001'
      reviewScale: true
    units:
      type: String
      defaultValue: A
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 4416
    ValueType: UINT16
- description: WGB3_PREALARM_ILEAK
  name: EVENT_PRE_LEAK_CURRENT.2
  properties:
    value:
      type: Bool
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewScale: false
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: DiscreteInput
    StartingAddress: 81
    ValueType: BOOL
- description: WGB4_ILEAK_TOTAL
  name: 3.I_LK
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.001'
      reviewScale: true
    units:
      type: String
      defaultValue: A
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 4616
    ValueType: UINT16
- description: WGB4_PREALARM_ILEAK
  name: EVENT_PRE_LEAK_CURRENT.3
  properties:
    value:
      type: Bool
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewScale: false
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: DiscreteInput
    StartingAddress: 121
    ValueType: BOOL
- description: WGB1_TRIP_ILEAK_TOTAL
  name: 0.I_LK_TRIP
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.001'
      reviewScale: true
    units:
      type: String
      defaultValue: A
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 4019
    ValueType: UINT16
- description: WGB1_TRIPPED_ILEAK
  name: EVENT_LEAK_CURRENT.0
  properties:
    value:
      type: Bool
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewScale: false
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: DiscreteInput
    StartingAddress: 3
    ValueType: BOOL
- description: WGB2_TRIP_ILEAK_TOTAL
  name: 1.I_LK_TRIP
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.001'
      reviewScale: true
    units:
      type: String
      defaultValue: A
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 4219
    ValueType: UINT16
- description: WGB2_TRIPPED_ILEAK
  name: EVENT_LEAK_CURRENT.1
  properties:
    value:
      type: Bool
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewScale: false
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: DiscreteInput
    StartingAddress: 43
    ValueType: BOOL
- description: WGB3_TRIP_ILEAK_TOTAL
  name: 2.I_LK_TRIP
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.001'
      reviewScale: true
    units:
      type: String
      defaultValue: A
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 4419
    ValueType: UINT16
- description: WGB3_TRIPPED_ILEAK
  name: EVENT_LEAK_CURRENT.2
  properties:
    value:
      type: Bool
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewScale: false
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: DiscreteInput
    StartingAddress: 83
    ValueType: BOOL
- description: WGB4_TRIP_ILEAK_TOTAL
  name: 3.I_LK_TRIP
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.001'
      reviewScale: true
    units:
      type: String
      defaultValue: A
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 4619
    ValueType: UINT16
- description: WGB4_TRIPPED_ILEAK
  name: EVENT_LEAK_CURRENT.3
  properties:
    value:
      type: Bool
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewScale: false
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: DiscreteInput
    StartingAddress: 123
    ValueType: BOOL
resources:
- name: Device0_Measures
  get:
  - object: 0.I_LK
    parameter: 0.I_LK
  - object: 0.I_LK_TRIP
    parameter: 0.I_LK_TRIP
- name: Device0_Events
  get:
  - object: EVENT_PRE_LEAK_CURRENT.0
    parameter: EVENT_PRE_LEAK_CURRENT.0
  - object: EVENT_LEAK_CURRENT.0
    parameter: EVENT_LEAK_CURRENT.0
- name: Device1_Measures
  get:
  - object: 1.I_LK
    parameter: 1.I_LK
  - object: 1.I_LK_TRIP
    parameter: 1.I_LK_TRIP
- name: Device1_Events
  get:
  - object: EVENT_PRE_LEAK_CURRENT.1
    parameter: EVENT_PRE_LEAK_CURRENT.1
  - object: EVENT_LEAK_CURRENT.1
    parameter: EVENT_LEAK_CURRENT.1
- name: Device2_Measures
  get:
  - object: 2.I_LK
    parameter: 2.I_LK
  - object: 2.I_LK_TRIP
    parameter: 2.I_LK_TRIP
- name: Device2_Events
  get:
  - object: EVENT_PRE_LEAK_CURRENT.2
    parameter: EVENT_PRE_LEAK_CURRENT.2
  - object: EVENT_LEAK_CURRENT.2
    parameter: EVENT_LEAK_CURRENT.2
- name: Device3_Measures
  get:
  - object: 3.I_LK
    parameter: 3.I_LK
  - object: 3.I_LK_TRIP
    parameter: 3.I_LK_TRIP
- name: Device3_Events
  get:
  - object: EVENT_PRE_LEAK_CURRENT.3
    parameter: EVENT_PRE_LEAK_CURRENT.3
  - object: EVENT_LEAK_CURRENT.3
    parameter: EVENT_LEAK_CURRENT.3
